# Moxxy's Website

See the live website at [moxxy.org](https://moxxy.org).

## Development

Developing the site requires [jekyll](https://jekyllrb.com/) and [tailwindcss](https://tailwindcss.com/).

### Jekyll

This website is statically generated using jekyll. Besides jekyll, the two
jekyll plugins [jekyll-seo-tag](https://github.com/jekyll/jekyll-seo-tag) and [jekyll-feed](https://github.com/jekyll/jekyll-feed) must be installed.

See [here](https://jekyllrb.com/docs/plugins/installation/) for instructions
on installing plugins.

### Tailwind

The website uses tailwindcss for layouting. To use tailwind, install the
[tailwindcss CLI application](https://tailwindcss.com/docs/installation).
The [typography plugin](https://tailwindcss.com/docs/typography-plugin) is
required for building the website.

### Previewing

In order to test changes, assuming jekyll and tailwindcss are set up, ...

1. Run `tailwindcss -c tailwind.config.js -i input.css --watch --output ./_site/assets/css/index.css` from the root of the repository.
2. Run `jekyll serve` from the root of the repository.

This gives you an environment where tailwindcss and jekyll regenerate their
previews when modifying their files.

### Building

In order to build the website, you can either use the NixOS flake at the root
of the repository (`nix build .#website`) or build the website and CSS separately:

1. `jekyll build --future`
2. `cp -r ./assets _site/assets`
3. `tailwindcss --input ./input.css --output ./_site/assets/css/index.css`

## License

See [`./LICENSE`](./LICENSE)
